sets
i sitio /S1*S4/
d(i) descargas /S1,S3/
u(i) usos /S2,S4/

Parameters
Cact(u) calidad actual
/
 S2 1.0
 S4 0.5
/
Cobj(u) calidad norma
/
 S2  8.0
 S4  10.0
/
Dact(d) descarga actual
/
 S1 100.0
 S3 150.0
/

CostR(d) costo reduccion unitario
/
 S1 2.0
 S3 1.0
/
;
table ef(u,d) eficiencia de reduccion unitaria de descarga
         S1      S3
S2       0.250   0.000
S4       0.15   0.25;

positive variables
X(d)
Variables
q(u)
* costo total de reduccion
Cost
Equations
costo            costos de reduccion D
cals             calidad en sitio U
tec              restr tecnologica D
norma            norma de calidad a cumplir U
;
costo    ..      Cost=e=sum(d,CostR(d)*X(d)*Dact(d));
cals(u)  ..      q(u)=e=Cact(u)+sum(d,ef(u,d)*X(d)*Dact(d));
tec(d)   ..      X(d)=l=0.8;
norma(u) ..      q(u)=g=Cobj(u);

Model    Mincost        "minimo costo de reduccion" /costo, tec, cals, norma/
Option limrow = 3;
Solve   Mincost  using lp minimizing Cost;
Display Cost.l, X.l, q.l ;
